bm::rsc_sparse_vector< Val, SV >::reference Class Reference

Reference class to access elements via common [] operator. More...

`#include <bmsparsevec_compr.h>`

## Public Member Functions

| reference (rsc_sparse_vector< Val, SV > &csv, size_type idx) BMNOEXCEPT
| operator value_type () const BMNOEXCEPT
bool | operator== (const reference &ref) const BMNOEXCEPT
bool | is_null () const BMNOEXCEPT

## Detailed Description

template<class Val, class SV>
class bm::rsc_sparse_vector< Val, SV >::reference

Reference class to access elements via common [] operator.

Definition at line 100 of file bmsparsevec_compr.h.

## Constructor & Destructor Documentation

## reference()

template<class Val, class SV>

bm::rsc_sparse_vector< Val, SV >::reference::reference | ( | rsc_sparse_vector< Val, SV > & | csv,
|  | size_type | idx )

inline

Definition at line 103 of file bmsparsevec_compr.h.

References BMNOEXCEPT, and bm::rsc_sparse_vector< Val, SV >::rsc_sparse_vector().

Referenced by operator==().

## Member Function Documentation

## is_null()

template<class Val, class SV>

bool bm::rsc_sparse_vector< Val, SV >::reference::is_null | ( |  | ) | const

inline

Definition at line 109 of file bmsparsevec_compr.h.

References BMNOEXCEPT.

## operator value_type()

template<class Val, class SV>

bm::rsc_sparse_vector< Val, SV >::reference::operator value_type | ( |  | ) | const

inline

Definition at line 106 of file bmsparsevec_compr.h.

References BMNOEXCEPT.

## operator==()

template<class Val, class SV>

bool bm::rsc_sparse_vector< Val, SV >::reference::operator== | ( | const reference & | ref | ) | const

inline

Definition at line 107 of file bmsparsevec_compr.h.

References BMNOEXCEPT, and reference().

The documentation for this class was generated from the following file:

- bmsparsevec_compr.h